Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Class UserProperty

    java.lang.Object
      com.plumtree.remote.prc.ObjectProperty
          com.plumtree.remote.prc.UserProperty

public class UserProperty
extends ObjectProperty

An enumerated type used to describe the properties of Users in the portal. Users support all of the properties in `ObjectProperty` as well as the following properties.

Field Summary
`static UserProperty` | `AuthName` The user's authentication name, sent to the Authentication Source provider at login.
`static UserProperty` | `AuthSource` The id of the user's Authentication Source.
`static UserProperty` | `LoginName` Login Name
`static UserProperty` | `NumericUserName` User name used for used for login on alternative devices (hand-held devices).
`static UserProperty` | `SimpleName` The mapping authentication name (login name minus the prefix).
`static UserProperty` | `UniqueName` The name the Authentication Source provider uses to uniquely identify the User.

Fields inherited from class com.plumtree.remote.prc.ObjectProperty
`ClassID, Created, Description, FolderID, IsLocalized, Language, LastModified, LastModifiedBy, Name, ObjectID, OwnerID, UUID`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AuthSource

    public static final UserProperty AuthSource

  The id of the user's Authentication Source.

### AuthName

    public static final UserProperty AuthName

  The user's authentication name, sent to the Authentication Source provider at login.

### SimpleName

    public static final UserProperty SimpleName

  The mapping authentication name (login name minus the prefix).

### UniqueName

    public static final UserProperty UniqueName

  The name the Authentication Source provider uses to uniquely identify the User. For example, an AD GUID or LDAP DN.

### NumericUserName

    public static final UserProperty NumericUserName

  User name used for used for login on alternative devices (hand-held devices).

### LoginName

    public static final UserProperty LoginName

  Login Name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.